#ifndef FILE_H
#define FILE_H

struct maillon {
	char *nom;
	struct maillon *suivant;
};

typedef struct maillon *liste;

enum indice {DEBUT, FIN, TAILLE_FILE};

typedef liste file[TAILLE_FILE];

int file_empty(file f);

void file_push(file f, char *s);

char *file_top(file f);

char *file_pop(file f);

void file_clear(file f);

#endif /* FILE_H */